Support » Themes and Templates » Loop compatibility

  • I have a theme which uses the old-style loop i.e.

    if ($posts) : foreach ($posts as $post) : start_wp();

    as opposed to the new-style loop i.e.

    if (have_posts()) : while (have_posts()) : the_post();

    Will this theme work with WP 2.1? or should I modify the loop code in the theme (is this easy?) or should I go back to old version of WP – I’m not sure when the loop code was altered)?

    Any help or advice would be greatly appreciated.

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Loop compatibility’ is closed to new replies.